Skip to main content
PATCH
Update a game config

Authorizations

x-api-token
string
header
required

Headers

x-language
string

The language to update the game config in. Language-specific fields will be applied only for that language.

Path Parameters

id
string
required

The id of the game configuration to update

Pattern: ^[0-9a-fA-F]{24}$

Body

application/json

The input required to update a game configuration

config
object

Full game configuration including client branding, game-specific config, and text content

progressPeriod
enum<string>

The progress period for repeat limits

Available options:
daily,
weekly,
monthly,
yearly,
open
maxCompletionsPerPeriod

The maximum number of times this game can be completed per period

Required range: x >= 0
details
Details Update Input · object

Input for updating entity details with all fields optional

Response

Successful response

A Nudj game configuration

id
string
required

The id of the game configuration

Pattern: ^[0-9a-fA-F]{24}$
organisationId
string
required

The organisation that the game configuration belongs to

Pattern: ^[0-9a-fA-F]{24}$
details
Details · object
required

The details of this game configuration such as title and description

gameType
enum<string>
required

The type of game

Available options:
catch,
memory,
scratch
config
object
required

Full game configuration including client branding, game-specific config, and text content

createdAt
string
required

The date when this game configuration was created

rewardDistributions
Entity Reward Distribution · object[] | null
required

The reward distributions (prizes) for this game configuration

progressPeriod
enum<string>
required

The progress period for repeat limits

Available options:
daily,
weekly,
monthly,
yearly,
open
maxCompletionsPerPeriod
required

The maximum number of times this game can be completed per period

Required range: x >= 0
updatedAt
string

The date when this game configuration was last updated